> ## Documentation Index
> Fetch the complete documentation index at: https://docs.etherscan.io/llms.txt
> Use this file to discover all available pages before exploring further.

# ERC721 Token Transfers Advanced Filter

> Retrieves ERC721 token transfers with advanced from and to address filtering.

<Badge icon="flask" color="yellow">Beta</Badge>

Explore and preview data from our [Advanced Filter](https://etherscan.io/advanced-filter) page.

## Query parameters.

<ParamField query="apikey" default="YourApiKeyToken" type="string">
  Your Etherscan API key.
</ParamField>

<ParamField query="chainid" default="1" type="string">
  Chain ID to query, such as `1` for Ethereum or `8453` for Base from our [supported chains](/supported-chains).
</ParamField>

<ParamField query="module" default="account" type="string">
  Set to `account` for this endpoint.
</ParamField>

<ParamField query="action" default="tokennfttx" type="string">
  Set to `tokennfttx` for this endpoint.
</ParamField>

<ParamField query="contractaddress" default="0x06012c8cf97bead5deae237070f9587f8e7a266d" type="string">
  The ERC721 token contract address to filter transfers by.
</ParamField>

<ParamField query="from" default="0x73605779985A11B8Fe32E6eD5ae5F249FFD0D7f0" type="string">
  The sender address to filter transactions by.
</ParamField>

<ParamField query="to" default="0x71c7656ec7ab88b098defb751b7401b5f6d8976f" type="string">
  The recipient address to filter transactions by.
</ParamField>

<ParamField query="fromto_opr" default="or" type="string">
  Address filter operator, either `and` or `or`.

  Use `fromto_opr=and` when both `from` and `to` must match. Use `fromto_opr=or` when either `from` or `to` can match.
</ParamField>

<ParamField query="startblock" default="0" type="integer">
  Starting block number to search from.
</ParamField>

<ParamField query="endblock" default="latest" type="string">
  Ending block number to search to, or `latest` for the latest block.
</ParamField>

<ParamField query="sort" default="desc" type="string">
  Sort order, either `desc` for the latest transactions first or `asc` for the oldest transactions first.
</ParamField>

<ParamField query="page" default="1" type="integer">
  Page number for pagination.
</ParamField>

<ParamField query="offset" default="10" type="integer">
  Number of records per page. Use the `page` parameter for subsequent records.
</ParamField>

<ResponseExample>
  ```json theme={null}
  {
    "status": "1",
    "message": "OK",
    "result": [
      {
        "blockNumber": "4708120",
        "timeStamp": "1512907118",
        "hash": "0x031e6968a8de362e4328d60dcc7f72f0d6fc84284c452f63176632177146de66",
        "nonce": "0",
        "blockHash": "0x4be19c278bfaead5cb0bc9476fa632e2447f6e6259e0303af210302d22779a24",
        "from": "0xb1690c08e213a35ed9bab7b318de14420fb57d8c",
        "contractAddress": "0x06012c8cf97bead5deae237070f9587f8e7a266d",
        "to": "0x6975be450864c02b4613023c2152ee0743572325",
        "tokenID": "202106",
        "tokenName": "CryptoKitties",
        "tokenSymbol": "CK",
        "tokenDecimal": "0",
        "transactionIndex": "81",
        "gas": "158820",
        "gasPrice": "40000000000",
        "gasUsed": "60508",
        "cumulativeGasUsed": "4880352",
        "input": "deprecated",
        "methodId": "0x454a2ab3",
        "functionName": "bid(uint256 _tokenId)",
        "confirmations": "18759540"
      }
    ]
  }
  ```
</ResponseExample>
